Get sending account limits
curl --request GET \
--url https://app.sendmux.ai/api/v1/providers/limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/limits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"sending_accounts": {
"can_request_increase": true,
"is_at_limit": true,
"is_near_limit": true,
"max_allowed": 123,
"pending_request_id": "<string>",
"reserved": 1,
"resource_type": "sending_accounts",
"threshold_usage": 1,
"usage": 1,
"usage_ratio": 123
},
"shared_amazon_ses": {
"can_request_increase": true,
"daily_limit": 1,
"is_near_limit": true,
"pending_request_id": "<string>",
"provider_id": "<string>",
"sent_today": 1,
"threshold_usage": 1,
"usage_ratio": 123
}
}
}Sending accounts
Get sending account limits
Returns custom-account capacity and shared Amazon SES daily sending limit state.
GET
/
providers
/
limits
Get sending account limits
curl --request GET \
--url https://app.sendmux.ai/api/v1/providers/limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/limits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"sending_accounts": {
"can_request_increase": true,
"is_at_limit": true,
"is_near_limit": true,
"max_allowed": 123,
"pending_request_id": "<string>",
"reserved": 1,
"resource_type": "sending_accounts",
"threshold_usage": 1,
"usage": 1,
"usage_ratio": 123
},
"shared_amazon_ses": {
"can_request_increase": true,
"daily_limit": 1,
"is_near_limit": true,
"pending_request_id": "<string>",
"provider_id": "<string>",
"sent_today": 1,
"threshold_usage": 1,
"usage_ratio": 123
}
}
}Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Response
200 - application/json
Limit state
Available options:
true Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
x >= 0Example:
"sending_accounts"
Required range:
x >= 0Required range:
x >= 0Hide child attributes
Hide child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Was this page helpful?
⌘I